package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.model.business.BusinessSiteExecutiveStaffRelation;
import com.casic.missiles.model.meter.MeterStaff;

import java.util.List;

/**
 * <p>
 * 外场检测-计量人员关联表 服务类
 * </p>
 *
 * @author wangpeng
 * @since 2023-03-23
 */
public interface IBusinessSiteExecutiveStaffRelationService extends IService<BusinessSiteExecutiveStaffRelation> {

    boolean saveBatch(Long siteExecutiveId, List<MeterStaff> meterStaffList);

    List<MeterStaff>  getStaffsByExecutiveInfoId(Long siteExecutiveId);

    Boolean   deleteBySiteExecutiveId(Long siteExecutiveId);

    Boolean   deleteBySiteExecutiveIds(List<Long> siteExecutiveIds);

}
